Microsoft Management Console 3.0

Microsoft Management Console (MMC) hosts administrative tools that you can use to administer networks, computers, services, and other system components.

  • To find features that have been added or changed since MMC 2.0, see What's new in MMC 3.0.
  • For tips about using MMC 3.0, see MMC 3.0 Best practices.
    • (http://www.microsoft.com/)
  • For help with specific tasks, see MMC 3.0 How to.
  • For general background information, see MMC 3.0 Concepts.
  • For problem-solving instructions, see Troubleshooting MMC 3.0.
  • For information about accessibility features of MMC, see Accessibility for MMC.

Note

  • On rare occasions, some snap-ins may not work correctly with MMC 3.0. To ensure that these MMC-based tools work correctly with MMC 3.0, you must install updates. For more information about available updates, see the MMC Download Site at the Microsoft Web site.


What's new in MMC 3.0

MMC 3.0 supports richer functionality in snap-ins that are written to take advantage of the MMC 3.0 infrastructure. There are several improvements that apply to MMC 3.0 snap-in consoles, including:

  • Action pane

    The Action pane is located on the right-hand side of the snap-in console. It lists the actions that are available to users, based on the currently selected items in the tree or the results pane. To show or hide the Action pane, click the Show/Hide Action Pane button in the toolbar, which is similar to the Show/Hide Tree button. For more information, see Snap-in consoles.

    Note

    • To use the MMC 3.0 version of the Action Pane, use the Registry Editor to add the following registry key:

      HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MMC\UseNewUI

      If the registry key does not exist, create the key using the procedure Add a registry key in the Registry Editor Help.

  • New Add or Remove Snap-ins dialog box

    The new Add or Remove Snap-ins dialog box makes it easy to add, organize, and remove snap-ins. You can control which extensions are available, and whether to automatically enable snap-ins that may be installed later. You can organize snap-ins by nesting them and rearranging them in the tree. To use this dialog box, you must manually set a registry key. For more information about using the MMC 3.0 Add or Remove Snap-ins dialog box, see Add or Remove Snap-ins dialog box for MMC 3.0.

  • Improved error handling

    MMC 3.0 notifies you of errors in snap-ins that could cause MMC to fail, and provides several options for responding to those errors. For more information, see Handling snap-in errors.

For information about using MMC 3.0 with snap-ins and snap-in consoles created for earlier versions of MMC, see Using files created using earlier versions of MMC with MMC 3.0.


MMC 3.0 Best practices

Log on as a user without administrative rights.

  • While you are logged on with administrative rights, the systems over which you have control can be exposed to attack by malicious users. For more information, see Why you should not run your computer as an administrator.
  • Use the Runas command to open specific tools. For more information, see Runas.
  • For tools that you use frequently, create shortcuts that use the Runas command. These shortcuts will help you work efficiently without compromising security. For more information, see To create a shortcut using the runas command.
  • When you complete your task, close the tool. This will eliminate an opportunity for possible security breach of system or access by a malicious user.

For more security information, see Best practices for local security.

Follow the security guidelines for the tools that you use.

  • Look for security guidelines in the Help that accompanies each tool.

Use the Disk Cleanup feature.

  • Per-user preferences for console files are saved in your profile. As these changes accumulate, they consume disk space. To free that disk space, use the Disk Cleanup feature as described in To use the disk cleanup tab.


Using the MMC 3.0 Help system

You can access Help for MMC from the Help menu on the main toolbar, from the Help button button on the toolbar of a snap-in console window, from the system menu of the MMC window or a snap-in console window, by right-clicking an item in the tree or results pane, or by pressing the F1 key.

Help for MMC displays a combined table of contents that includes general Help for MMC and Help specific to each snap-in included in the snap-in console. The Help displayed for a snap-in must be specifically created for and called by that snap-in. If you are authoring a console, you may want to provide additional documentation for tasks associated with the console or provide information specifically related to your network.


MMC 3.0 How to...

  • Open MMC
  • Create a desktop shortcut to open MMC
  • Author or modify a snap-in console
  • Use Group Policy to control MMC usage
  • Work with MMC and console files


Open MMC

Microsoft Windows Graphic

To open MMC

Using the Windows interface

  • Click Start, click Run, type mmc, and then click OK.

Using a command line

  1. Open a command window in one of the following ways:
    • Click Start, and then click Command Prompt.
    • Click Start, click Run, type cmd, and then click OK.
  2. At the command prompt, type mmc, and then press ENTER.

Notes

  • If you are restricted from using certain snap-ins by Local Policies or Group Policies, you cannot open snap-in consoles that contain those snap-ins.
  • To open an existing or saved MMC console, browse to the snap-in console or a shortcut to the snap-in console in Windows Explorer, and then double-click it.
  • You can also open an existing MMC console from another console in which you are working. To do this, click the File menu, and then click Open.

Related Topics


Create a desktop shortcut to open MMC

Microsoft Windows Graphic

To create a desktop shortcut to open MMC

  1. Right-click an open area on the desktop, point to New, and then click Shortcut.
  2. In the Create Shortcut wizard window, enter the path location of an MMC console, or click Browse to browse for an MMC console.
  3. Click Next.
  4. Type a name for the new shortcut.
  5. Click Finish. The Create Shortcut wizard saves your new shortcut on the Windows Desktop.

Notes

  • You can drag a shortcut that you create on the desktop to other folders in the operating system, such as the folder where you keep your .msc files, or the folder for the Start menu.
  • You can also create a shortcut to MMC in folders by using Windows Explorer. To do so, click the folder in which you want the shortcut, and on the File menu, point to New, click Shortcut, and then follow the instructions on the screen.

Related Topics


Author or modify a snap-in console

This section covers:

  • Create a new snap-in console from within MMC 3.0
  • Set MMC console options
  • Create and organize Favorites in a snap-in console
  • Create a new snap-in console based on an existing console
  • Add, remove, and organize snap-ins and extensions in MMC 2.0
  • Add, remove, and organize snap-ins and extensions in MMC 3.0


Create a new snap-in console

Microsoft Windows Graphic

To create a new snap-in console from within MMC 3.0

  1. Do one of the following:
    • From within a snap-in console, on the File menu, click New.
    • At a command line, type mmc /a.
  2. Customize the new console by following the instructions in the following table.
    3. Task | Purpose of task | Reference
    Add and organize snap-ins Add the tools you want the snap-in console to contain. For MMC 3.0, see Add or Remove Snap-ins dialog box for MMC 3.0.

    For earlier versions of MMC, see To add, remove, and organize snap-ins and extensions.
    Name the snap-in console | Add a "friendly name" in the console heading to verify that you have opened the right console. | To set MMC console options
    Set the mode By default, the snap-in console is in author mode. If you are creating the console to delegate work, you might prefer one of the user modes.
    • To set MMC console options
    • Use Group Policy to control MMC usage
    • Snap-in console access modes
    Customize views | Hide elements that might be distracting or unnecessary in a snap-in console. | Customize a console
    Create and organize Favorites | Use the Favorites list in MMC for quick access to frequently used nodes in the tree. | To create and organize Favorites in a snap-in console

Note

  • If you cannot open a console in author mode, it might be because you are restricted from doing so by Local Policy or Group Policy. For more information about snap-in console access modes, see Related Topics.
  • To use the MMC 3.0 version of the Action Pane, use the Registry Editor to add the following registry key:

    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MMC\UseNewUI

    If the registry key does not exist, create the key using the procedure Add a registry key in the Registry Editor Help.

Related Topics


Set MMC console options

Microsoft Windows Graphic

To set MMC console options

  1. Open a saved console in author mode by doing one of the following:
    • Right-click the .msc file and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. On the File menu, click Options.
  3. To change the title for the console, type a new title in the box.
  4. To change the icon for the console, click Change Icon. In File Name, type the path to a file containing icons.
  5. Under Current icon click an icon, and then click OK.
  6. To change the default mode for the console, in Console mode, choose one of the following modes that you want the console to open in.
    • Author mode. Enables full customization of the snap-in console, including the ability to add or remove snap-ins, create new windows, create Favorites and taskpads, and access to all the options of the Customize View and Options dialog boxes. Users creating a custom console file for themselves or others typically use this mode. The resulting snap-in console is usually saved in one of the following user modes.
    • User mode - full access. The same as author mode, except that users cannot add or remove snap-ins, change snap-in console options, create Favorites, or create taskpads.
    • User mode - limited access, multiple window. Provides access only to those parts of the tree that were visible when the console file was saved. Users can create new windows but cannot close any existing windows.
    • User mode - limited access, single window. Provides access only to those parts of the tree that were visible when the console file was saved. Users cannot create new windows.
  7. If the default console mode for the console is one of the user modes, do the following:
    • To prevent users from editing the console, select the Do not save changes to this console check box.
    • To enable users to access the Customize View dialog box, select the Allow the user to customize views check box.

Notes

  • If you change the title of a console, the title bar does not display the path of items clicked in the console tree. However, if you do not change the title, or if you delete the title, the paths are displayed.
  • Many files contain icons that can be used for custom consoles. For example, you can find more icons in Shell32.dll, located in the %systemroot%\System32 folder.
  • To stop receiving the message Save console settings to console name?, which appears each time you close a console opened in author mode, set the default mode for the console to one of the user modes and then clear the Do not save changes to this console check box. Any changes to the console are saved by default.

Related Topics


Create and organize Favorites in a snap-in console

Microsoft Windows Graphic

To create and organize Favorites in a snap-in console

Use the Favorites list to add, remove, and organize your Favorites. Your Favorites list can include page views and taskpads that you want to navigate to quickly.

To add an item to the Favorites list in a snap-in console
  1. In the tree, click the item that you want to add to the Favorites list.
  2. On the Favorites menu, click Add to Favorites.
  3. In Create in, do one of the following:
    • To add an item to an existing folder, click the folder in which you want the item to reside, and then click OK.
    • To add an item to a new folder, click the folder you want as the parent, and then click New Folder. In Folder name, type a name, click OK, and then click OK again.
To organize the Favorites list in a snap-in console
  • On the Favorites menu, click Organize Favorites, and then do any of the following:
    • To add a folder, click Create Folder, type a name in Folder name, and then click OK.
    • To move an item to a folder, click the item under the Favorites folder, click Move to Folder, click the folder where you want the item to appear, and then click OK.
    • To change the name of an item, click the item under the Favorites folder, click Rename, type a new name, and then press ENTER.
    • To remove an item, click the item under the Favorites folder, and then click Delete.

Related Topics


Create a new snap-in console based on an existing snap-in console

Microsoft Windows Graphic

To create a new snap-in console based on an existing snap-in console

  1. Open an existing console that you want to use as the basis for the new console.
  2. On the File menu, click Save as, and then type a name for the new console.

Notes

  • To open an existing or saved MMC console, browse to the snap-in console or a shortcut to the snap-in console in Windows Explorer, and then double-click it.
  • You can also open an existing MMC console from another console in which you are working. To do this, click the File menu, and then click Open.

Related Topics


Add, remove, and organize snap-ins and extensions in MMC 3.0

Microsoft Windows Graphic

To add, remove, and organize snap-ins and extensions in MMC 2.0

  1. On the File menu of an open MMC console, click Add/Remove Snap-in.
  2. From the Snap-ins added to drop-down list, click the snap-in to which you want to add a new console, or click Console Root.
  3. Do any of the following:
    • To add new snap-ins, click Add to open the Add Standalone Snap-in dialog box. On the Add Standalone Snap-in dialog box, select the snap-in you want to add. You can select only one snap-in at a time. Click Add to add the selected snap-in. Repeat this step until you have added all the snap-ins you want to the open MMC console. When you have finished adding snap-ins, click Close. Click OK to close the Add/Remove Snap-in dialog box.
    • To remove existing snap-ins, select a snap-in in the Add/Remove Snap-in list box, and click Remove. When you are finished removing snap-ins, click OK.
    • To add extensions to snap-ins in the open MMC console, click the Extensions tab. On the Extensions tab, click the snap-in to which you want to add extensions from the Snap-ins that can be extended drop-down list. If you want to add all available extensions for the selected snap-in, click Add all extensions. To add individual extensions, click the extensions that you want to add to this snap-in from the Available extensions list box. If the Download button is active for a selected extension, click it to obtain the extension from another computer or from a Windows product CD. Click OK to install extensions for the selected snap-in. To add extensions for other snap-ins in the open console, repeat this procedure.

Notes

  • By default, the MMC 2.0 version of the Add/Remove Snap-in dialog box opens. To use the MMC 3.0 version of the dialog box, use the Registry Editor to verify that the following registry key exists:

    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MMC\UseNewUI

    • If the registry key does not exist, create the key using the procedure Add a registry key in the Registry Editor Help.

Related Topics


Add, remove, and organize snap-ins and extensions in MMC 3.0

Use the Add/Remove Snap-in dialog box to add, remove, and organize snap-ins and extensions in an MMC 3.0 snap-in console.

To add or remove a snap-in

  1. On the File menu of an open MMC 3.0 console, click Add or Remove Snap-ins.
  2. Highlight the snap-in you want to add in the Available snap-ins list, and click Add to add the snap-in to the Selected snap-ins list.
  3. Read a brief description of a snap-in in either list by clicking it and then reading the contents of the Description box at the bottom of the dialog box. Some snap-ins might not provide a description.
  4. Change the order of snap-ins in the snap-in console by clicking a snap-in in the Selected snap-ins list and then clicking Move Up or Move Down.
  5. If you want to add the new snap-in to a node of the open console other than Console Root, see the following procedure "To set the parent node for a snap-in" in this topic.
  6. Remove a snap-in by clicking it in the Selected snap-ins list and then clicking Remove.
  7. When you are finished adding or removing snap-ins, click OK.

To set the parent node for a snap-in:

  1. Click Advanced.
  2. Select the Allow changing the parent snap-in check box, and then click OK.

    The Add or Remove snap-ins dialog box now displays the Parent snap-in drop-down list, which displays the console root and all of the snap-ins that are currently in the Selected snap-ins list.

  3. Select a parent node in the Parent snap-inlist. Then click the child snap-in in the Available snap-ins list, and then click Add.

    To move a snap-in that is already in the Selected snap-ins list into a different parent node, you must remove it and then add it again.

Notes

  • To open the Add or Remove Snap-ins dialog box from a snap-in console, click the File menu, and then click Add or Remove Snap-ins.
  • This procedure applies only to MMC 3.0 consoles for which the UseNewUI registry key has been set in the Windows Registry. For more information about adding or removing snap-ins from an MMC 2.0 console, see Add, remove, and organize snap-ins and extensions. By default, the MMC 2.0 version of the Add/Remove Snap-in dialog box opens. To use the MMC 3.0 version of the dialog box, use the Registry Editor to verify that the following registry key exists:

    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MMC\UseNewUI

    If the registry key does not exist, create the key using the procedure Add a registry key in the Registry Editor Help.

Related Topics


Use Group Policy to control MMC usage

This section covers:

  • Control MMC usage by using local Group Policy
  • Control MMC usage by using domain-wide Group Policy


Control user access to MMC consoles by using local Group Policy

Microsoft Windows Graphic

To control MMC usage by using local Group Policy

  1. Open MMC.
  2. On the File menu, click Add/Remove Snap-in, and then click Add.
  3. Under Snap-in, click Group Policy Object Editor, and then click Add.
  4. In the Select Group Policy Object dialog box, do one of the following:
    • To edit the local Group Policy object, keep the Local Computer selection.
    • To edit a different Group Policy object, click Browse.
  5. Click Finish, click Close, and then click OK.

    The Group Policy Object Editor snap-in opens the specified Group Policy Object Editor.

  6. Perform any of the following procedures:
    • To restrict access to author mode in MMC
    • To restrict access to a permitted list of snap-ins
    • To permit or restrict access to a snap-in

To restrict access to author mode in MMC

  1. In the tree, click Microsoft Management Console.

    Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Windows Components
    • Microsoft Management Console
  2. In the results pane, double-click Restrict the user from entering author mode.
  3. On the Setting tab, do one of the following:
    • To allow the user to use author mode in MMC, click Not Configured or Disabled.
    • To restrict the user from using author mode in MMC, click Enabled.

Note

  • When Restrict the user from entering author mode has been enabled, any attempt to re-access the console results in a message indicating that access is blocked to the snap-in console in author mode. Users with administrator credentials can regain access to author mode by using the Run command and typing gpedit.msc, which opens the Group Policy Object Editor for local computer policy. Next, browse to Microsoft Management Console as described in the procedure above, double-click Restrict the user from entering author mode in the results pane, and then click either Not Configured or Disabled.

To restrict access to a permitted list of snap-ins

  1. In the tree, click Microsoft Management Console.

    Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Windows Components
    • Microsoft Management Console
  2. In the results pane, double-click Restrict users to the explicitly permitted list of snap-ins.
  3. On the Policy tab, do one of the following:
    • To permit the user to access snap-ins that are not explicitly restricted, click Not Configured or Disabled.
    • To restrict the user from accessing any snap-in that is not explicitly permitted, click Enabled.

Note

  • If you enable this policy, only permitted snap-ins appear in the list of available snap-ins in the Add Standalone Snap-in dialog box in MMC.

To permit or restrict access to a snap-in

  1. In the tree, click Restricted/Permitted snap-ins.

    2. Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Microsoft Management Console
    • Restricted/Permitted snap-ins
  2. In the results pane, double-click the snap-in that you want to permit or restrict, and then do one of the following:
    • To enable the user to access this snap-in (unless the user is restricted by the Restrict users to the explicitly permitted list of snap-ins policy), click Not Configured.
    • To permit the user to access this snap-in, click Enabled.
    • To restrict the user from accessing this snap-in, click Disabled.

Notes

  • To open MMC, click Start, click Run, type mmc, and then click OK.
  • For more information about any of these settings, click the Explain tab in the dialog box for the Group Policy setting you are selecting, and see Help.
  • These features apply only in a network where Group Policy Object Editor has been configured; a system administrator must enable Group Policy Object Editor. They are not available in Windows XP Home Edition.

Related Topics


Domain-wide Group Policy and MMC

Microsoft Windows Graphic

To control MMC usage by using domain-wide Group Policy

  1. Open MMC.
  2. In the tree, right-click the organizational unit for which you want to configure policy, and then click Properties.
  3. On the Group Policy tab, click Edit.

    Group Policy Object Editor appears.

  4. Perform any of the following procedures:
    • To restrict access to author mode in MMC for a domain
    • To restrict access to a permitted list of snap-ins for a domain
    • To permit or restrict access to a snap-in for a domain

To restrict access to author mode in MMC for a domain

  1. In the tree, click Microsoft Management Console.

    Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Windows Components
    • Microsoft Management Console
  2. In the results pane, double-click Restrict the user from entering author mode.
  3. On the Policy tab, do one of the following:
    • To allow the user to use author mode in MMC, click Not Configured or Disabled.
    • To restrict the user from using author mode in MMC, click Enabled.

To restrict access to a permitted list of snap-ins for a domain

  1. In the tree, click Microsoft Management Console.

    Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Windows Components
    • Microsoft Management Console
  2. In the results pane, double-click Restrict users to the explicitly permitted list of snap-ins.
  3. On the Policy tab, do one of the following:
    • To permit the user to access snap-ins that are not explicitly restricted, click Not Configured or Disabled.
    • To restrict the user from accessing any snap-in that is not explicitly permitted, click Enabled.

    4. Note

    • If you enable this policy, only permitted snap-ins appear in the list of available snap-ins in the Add Standalone Snap-in dialog box in MMC.

To permit or restrict access to a snap-in for a domain

  1. In the tree, click Restricted/Permitted snap-ins.

    Where?

    • PolicyName Policy
    • User Configuration
    • Administrative Templates
    • Windows Components
    • Microsoft Management Console
    • Restricted/Permitted snap-ins
  2. In the results pane, double-click the snap-in that you want to permit or restrict, and then do one of the following:
    • To enable the user to access this snap-in (unless the user is restricted by the Restrict users to the explicitly permitted list of snap-ins policy), click Not Configured.
    • To permit the user to access this snap-in, click Enabled.
    • To restrict the user from accessing this snap-in, click Disabled.

    3. Note

    • When you restrict or explicitly permit access to a snap-in, the snap-in is added to a list of restricted or permitted snap-ins. The restricted list takes precedence over the permitted list, so that if the same snap-in exists on both lists, access to the snap-in is restricted.

Notes

  • To open Active Directory Users and Computers, click Start, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  • Active Directory applies only in a network where Group Policy Object Editor has been configured. You must be a domain Administrator, or have equivalent rights, and use a computer configured as a domain controller to configure Group Policy Object Editor for a domain.
  • For more information about any of these settings, click the Explain tab in the dialog box for the Group Policy setting you are selecting, and see Help.

Related Topics


Work with MMC and console files

This section covers:

  • Customize a console
  • Navigate MMC 3.0
  • View the associated snap-in and item for a property page
  • Export data from a snap-in console


Customize a console

This section covers:

  • Customize your view of a snap-in console
  • Sort, hide, or display columns in the results pane
  • Create, view, and remove additional windows


Customize your view of a snap-in console

Microsoft Windows Graphic

To customize your view of a snap-in console

  1. On the View menu, click Customize.
  2. In the Customize View dialog box, display items by selecting the appropriate check box or remove items by clearing the appropriate check boxes.
  3. To hide or display a pane, do one of the following:
    • Click the Show/Hide Console Tree or Show/Hide Action Pane button. These buttons open and close the tree and Action panes.
    • On the View menu, click Customize, and then display a pane by selecting the appropriate check box or remove a pane by clearing the appropriate check boxes.

Notes

  • If the snap-in console is not in author mode, you might not be able to customize the views.
  • You can hide or display the tree and the Action pane. The results pane is always displayed.
  • When the tree or the Action pane is displayed, the corresponding Show/Hide Tree or Show/Hide Action pane button is highlighted. If the button is highlighted but you do not see the pane, you might need to resize the pane, the window, or both. If you do not see any buttons, the Standard toolbar is hidden. This option is set in the Customize View dialog box.

Related Topics


Sort, hide, or display columns

Microsoft Windows Graphic

To sort, hide, or display columns in the results pane

To sort columns

  • To sort data in the results pane, click the heading of the column on which you want to sort.
  • To change the direction of the sorting, click the column heading again.

To hide or display columns

  1. To hide or display columns in an MMC console, click an item in the tree that shows columns in the results pane.
  2. In the Action pane, click More Actions, click View, and then click Add/Remove Columns to open the Add/Remove Columns dialog box.
  3. To display columns, highlight the column names in the Available columns list, and click Add. Hold down the Ctrl key while highlighting column names to add multiple column names at one time.
  4. To hide columns, highlight the column names in the Displayed columns list, and click Remove.
  5. Change the display order of columns in the Displayed columns list by highlighting a column name and clicking either Move Up or Move Down. Move Up moves a column closer to the left edge of the results pane, while Move Down moves a column closer to the right.

Notes

  • The column by which the data is sorted is marked with an arrow. If the arrow points down, the column is sorted in descending order; if it points up, the column is sorted in ascending order.
  • To see the available actions, click the Action menu or right-click the item in the tree.
  • If the snap-in console is not in author mode, you might be restricted from changing the views.
  • Hiding or displaying columns is not enabled for all items. If you do not see Add/Remove Columns on the View menu, you cannot use this feature for the selected item.

Related Topics


Create, view, and remove additional windows

Microsoft Windows Graphic

To create, view, and remove additional windows

  1. To create a new window that is rooted at the console root, click the Window menu, and then click New Window.
  2. To create a new window that is rooted at an item in the tree, right-click the item in the tree, and then click New Window from Here.
  3. To view windows, do one of the following:
    • On the Window menu, click the window you want to view.
    • On the Window menu, click Cascade or Tile Horizontally. You can then move between the windows by clicking them. You can also resize and arrange them to compare the data in the various windows.
  4. To remove a window, click the window you want to remove, and then click the Close Window button in the upper-right corner of the window.

Notes

  • Items above the root of the window are not accessible in that window. If the window is rooted to an item in the tree, only that item and any items nested below it can be accessed in that window. This can be useful for focusing or delegating work.
  • If the snap-in console is not in author mode, you might be restricted from creating a new window.
  • It is possible to create a snap-in console that contains several snap-ins, create a window that is rooted at a single item in the tree, and then delete the window that is rooted at the console root. The result is a snap-in console that is tightly focused on a subset of the tree. If you are using a snap-in console that has been configured this way and you are not restricted from creating a new window, you can still access the entire console by creating a window that is rooted at the console root.

Related Topics


Navigate MMC 3.0

Microsoft Windows Graphic

To navigate MMC 3.0

  • To navigate MMC 3.0 by using the tree, expand items in the tree by clicking the + next to the item, and then click the item for which you want to view results.
  • To navigate MMC 3.0 by using the results pane, double-click an item to see the items it contains, and then click the Up One Level button to see the parent item and its siblings.

Notes

  • If the tree is not visible, click the Show/Hide Tree button.
  • The Up One Level button is not available when you are at the root of the window.

Related Topics


View the associated snap-in and item for a property page

Microsoft Windows Graphic

To view the associated snap-in and item for a property page

  1. In the tree or the results pane of an open snap-in console, right-click the item for which you want to view properties, and then click Properties.
  2. In the Properties dialog box, do the following:
    • To view which snap-in provided a particular tab in the dialog box, press and hold down the CTRL key, and point to the tab name.
    • To view the location in the tree for the item associated with the properties dialog box, press and hold down the CTRL key, and point to the properties dialog box title bar.

Note

  • The Properties command is also available in the Action pane and Action menu.

Related Topics


Export data from a snap-in console

Microsoft Windows Graphic

To export data from a snap-in console

  1. In an open snap-in console, click an item in the tree that displays columns in the results pane.
  2. If you want to export only some of the rows, select those rows.
  3. In the Action pane, click Export List.
  4. Complete the Export List dialog box.

Note

  • With some snap-ins, you can export all the rows in the results pane only and you cannot select a subset of rows to export.

Related Topics


MMC 3.0 Concepts

  • MMC 3.0 Overview
  • Understanding MMC 3.0
  • MMC 3.0 Security
  • Using MMC 3.0
  • Resources


MMC 3.0 Overview

You can use Microsoft Management Console (MMC) to create, save, and open administrative tools (called snap-ins) that manage the hardware, software, and network components of your Windows operating system. You can run MMC 3.0 on Windows Server 2003 R2.

MMC does not perform administrative functions, but it hosts tools that do. Snap-ins are the most common of these tools. Other items that you can add include ActiveX controls, links to Web pages, folders, and tasks.

Windows Server 2003 R2 includes several preconfigured snap-in consoles, such as Event Viewer (Eventvwr.msc) and System Monitor (Perfmon.msc). You can create additional snap-in consoles to meet your needs. Depending on how a snap-in console is configured, it can be a customizable multi-function tool for an IT generalist, a limited-function tool for delegating work to an IT specialist, or anything in between.

There are two ways that you can use MMC: in user mode, where you work with existing snap-in consoles to administer a system, or in author mode, where you create new snap-in consoles or modify existing snap-in consoles. For more information about the differences between user and author mode, see Snap-in console access modes.


Understanding MMC 3.0

This section covers:

  • MMC in author mode
  • Snap-in consoles
  • Snap-ins
  • The MMC 3.0 window
  • The MMC 3.0 Favorites list
  • Snap-in console access modes


MMC 3.0 in author mode

You can use MMC in author mode to create new snap-in consoles or modify existing snap-in consoles. To create an administrative tool, you add snap-ins and other items to a snap-in console. You can create additional windows that provide views of the various items that make up a snap-in console. You can also create taskpad views that contain shortcuts to run menu commands from different locations and tools in the snap-in console, as well as run command-line functions. After a snap-in console is saved, you can distribute it to users.

Note

  • In MMC 3.0, the Action pane replaces taskpad views. The New Taskpad View Wizard is not available for snap-ins created for MMC 3.0, but continues to be supported for older snap-ins.

For instructions on how to modify a snap-in console, see Author or modify a snap-in console.

For information about author mode and other MMC access modes, see Snap-in console access modes.


Snap-in consoles

A new snap-in console consists of a window divided into three panes:

  • The left pane displays the console tree, which at the top level shows the snap-ins that are available in the snap-in console. You can hide the tree by clicking the Show/Hide Console Tree button on the MMC toolbar. You might be unable to show or hide this pane in user mode, depending on the configuration settings for the console.

  • The middle pane is the results pane. It shows information about, and functions pertaining to, the item currently selected in the tree. As you click different items in the tree, the information in the results pane changes. The results pane can display many types of information including Web pages, graphics, charts, tables, and lists.
  • The right pane is the Action pane. It lists the actions that are currently available to you, based on the currently selected items in the tree and the results pane. These actions are also available from the Actions menu or by right-clicking the item you on which you want to perform an action. You can hide the Action pane by clicking the Show/Hide Action Pane button on the MMC toolbar. You might be unable to show or hide this pane in user mode, depending on the configuration settings for the console.

The operating system you are using might already have preconfigured snap-in consoles available on the Programs menu or in the Administrative Tools folder in Control Panel.

You can use MMC 3.0 to open snap-in consoles that have been created with older versions of MMC (versions 1.2 or 2.0). If you use MMC 3.0 to open a snap-in console, you must save it in the MMC 3.0 format. You cannot convert a snap-in console in MMC 3.0 format to an earlier format. If you do not want to change the format from the earlier version, either do not save the snap-in console, or save it to a different file name.

Note

  • To use the MMC 3.0 version of the Action Pane, use the Registry Editor to add the following registry key:

    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MMC\UseNewUI

    If the registry key does not exist, create the key using the procedure Add a registry key in the Registry Editor Help.


Snap-ins

A snap-in is the basic component of a console. You can only use snap-ins within consoles; you cannot run them independent of a console.

When you install a component that has a snap-in associated with it, the snap-in is available to anyone creating a console on that computer (unless restricted by a user policy). For information about user policies, see Group Policy and MMC.

Snap-ins and snap-in extensions

MMC supports two types of snap-ins: stand-alone snap-ins and snap-in extensions. You can add a stand-alone snap-in, typically called a snap-in, to a console without adding another item first. A snap-in extension, typically called an extension, is always added to a snap-in or to another snap-in extension that is already in the tree. When extensions are enabled for a snap-in, they operate on the objects controlled by the snap-in, such as a computer, printer, modem, or other device.

When you add a snap-in or extension to a console, it might appear as a new item in the tree, or it might add shortcut menu items, additional toolbars, additional property pages, or wizards to a snap-in already installed in the console.

Adding snap-ins to a console

You can add a single snap-in or multiple snap-ins and other items to a console. In addition, you can add multiple instances of a particular snap-in to the same console in order to administer different computers or to repair a damaged console. Each time you add a new instance of a snap-in to a console, any variables for the snap-in are set at default values until you configure the snap-in. For example, if you configure a particular snap-in to manage a remote computer, and then you add a second instance of the snap-in, the second instance will not automatically be configured to manage the remote computer.

Typically, you can only add snap-ins that are installed on the computer you are using to author a console. However, if your computer is part of a domain, you can use MMC to download any snap-ins that are not locally installed but that are available in Active Directory. For more information about adding published snap-ins and extensions to a console, see Create a new snap-in console.


The MMC 3.0 window

The tree is a hierarchical structure in the left pane of the MMC window. The tree shows the items that are available in a snap-in console. These items can include folders, snap-ins, controls, Web pages, and other tools. You can hide or show the tree in the console. For more information, see To customize your view of a snap-in console.

The results pane is the center pane of a snap-in console. It displays objects contained in, or information about, the item currently selected in the tree. The results pane is always visible, but the contents and appearance depend on the item that is selected in the tree. For information about modifying your view of objects in the results pane, see the Help for the snap-in you are using and To sort, hide, or display columns in the results pane.

The Action pane is the right pane of a snap-in console. It displays the available actions for the items selected in the tree and the results pane. You can show or hide the Action pane. For more information, see To customize your view of a snap-in console.

Note

  • To use the MMC 3.0 version of the Action Pane, use the Registry Editor to add the following registry key:

    HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\MMC\UseNewUI

    If the registry key does not exist, create the key using the procedure Add a registry key in the Registry Editor Help.

The tree, root, and containers

To view the tree of a new snap-in console, open MMC by clicking Start, clicking Run, typing mmc, and then clicking OK.

In a new snap-in console, the only item in the tree is a folder labeled Console Root. You can create the administrative functions of the console by adding items to the console. For instructions about adding items to a console, see MMC 3.0 in author mode.

You do not need to base an MMC window on the console root. You can locate a window on any item in the tree. This hides items in the tree above the old root and focuses the window on the new root and any administrative tools under it.

For instructions about changing where a snap-in console is rooted, see To add, remove, and organize snap-ins and extensions.

A container is any item in the tree to which objects are added. Double-click Image of plus to expand a container and view its contents, and Image of minus to collapse the container. The default container is a folder Image of folder, which you can use to group related items in a tree. However, you can also use MMC to add tools to items other than folders, which then also become containers.

The console root is a container. Its only function is to contain the tree. Typically, the top item in a snap-in is a folder or another container.

Another type of item that can contain other items is a viewable item. When you click a viewable item, it displays a list, text, or graphical information in the results pane instead of additional items. Web pages are viewable items because they require a browser, which can open only in the results pane. Do not add items to viewable items, because a user might hide the tree. If so, he or she might not know that a viewable item contains other items. Instead, if you have a collection of viewable items, add a folder to the tree, and group the viewable items in the folder. Then a user can select from all the items when the tree is hidden.

For instructions about hiding the tree, see To customize your view of a snap-in console.

One type of item that cannot contain other items is a leaf in the tree. When you click a leaf, the items it contains appear in the results pane. These are typically items that are individually contained in the tree. However, when items number in the hundreds or thousands, a snap-in uses a leaf instead of a container.

Adding new functionality to a snap-in console

You might find that none of the snap-ins provided by the Add/Remove Snap-in command provide the exact capabilities you require. You can try the following possible solutions:

  • Check for additional snap-ins or extensions that might have been posted on the Web by Microsoft or other vendors.
  • Author your own extension to an existing snap-in, or author a new stand-alone snap-in.

For more information about these options, see Resources.


The MMC 3.0 Favorites list

The Favorites list is located on the Favorites menu. You can use the Favorites list to create shortcuts to items in the tree. For your convenience, you can add shortcuts to tools that you use often or tools that are several levels down in the tree. You can also use the Favorites list to make it easier for new users to complete tasks. For example, you can create a snap-in console that has shortcuts in the Favorites list to only the items in the tree that a given user needs to perform a task. You can then hide the tree to further simplify the view.

You can also use the Favorites list to organize taskpad views. For example, a complex console might have multiple taskpad views distributed among the multiple items in the tree. You can add all these taskpad views to the Favorites list, which enables users to access them from a single location.

For more information, see To create a new snap-in console from within MMC 3.0.


Snap-in console access modes

When building a custom snap-in console, you can assign the console one of two access options: author mode or user mode. There are, in turn, three levels of user mode, so that there are four options for default access to a console, which are described in the following table.

    Mode | Description
Author mode | Enables full customization of the snap-in console, including the ability to add or remove snap-ins, create new windows, create Favorites and taskpads, and access to all the options of the Customize View and Options dialog boxes. Users creating a custom console file for themselves or others typically use this mode. The resulting snap-in console is usually saved in one of the following user modes.
User mode - full access | The same as author mode, except that users cannot add or remove snap-ins, change snap-in console options, create Favorites, or create taskpads.
User mode - limited access, multiple windows | Provides access only to those parts of the tree that were visible when the console file was saved. Users can create new windows but cannot close any existing windows.
User mode - limited access, single window | Provides access only to those parts of the tree that were visible when the console file was saved. Users cannot create new windows.

You can configure these options in the Options dialog box in MMC. For instructions on opening this dialog box, see To set MMC console options.

Changes made to snap-in consoles in author mode and in user mode are saved differently. If you work with a snap-in console in author mode, when you close the console you are prompted to save your changes. However, if you work with a snap-in console in user mode and have cleared the Do not save changes to this console check box, available by clicking Options on the File menu, changes will be saved when you close the console.

If any of the following conditions apply, the default mode for a console is ignored and a console is opened in author mode:

    • MMC is already open when a snap-in console is opened.
    • A snap-in console is opened by using the shortcut menu command Author.
    • A console is opened at the command prompt with the /a option.

For more information about snap-in console modes and their command-line syntax for MMC, see To open MMC.

Author mode access for MMC is unnecessary for users who do not need to create or change snap-in consoles. A system administrator can configure user profile settings to prevent users from opening MMC in author mode, by disabling the /a option or the shortcut menu option. In addition, an administrator can use Group Policy settings to prevent users from opening MMC and saved consoles in author mode. For more information, see Group Policy and MMC 3.0.


MMC 3.0 Security

Snap-in consoles are often powerful tools, so all of the general recommendations for secure administration apply to MMC. If a specific snap-in or the technology it supports provides additional security recommendations, those recommendations should be integrated into your policies and procedures.

This section contains the following topics:

  • Group Policy and MMC 3.0
  • Using the runas command with MMC

For detailed information about security options, see:

  • Why you should not run your computer as an administrator
  • To start a program as an administrator
  • To create a shortcut using the runas command


Group Policy and MMC 3.0

Only administrators can use Group Policy to restrict or allow access to specific snap-ins or restrict the ability of a user or group to use author mode in MMC. This applies in a network where Group Policy has been configured.

To set policies for users of a particular computer, you must be an administrator for that computer or have equivalent rights. To set policies for an organizational unit in a domain, you must be an administrator for that domain or have equivalent rights. You cannot use MMC to create computer policies; you can only create user policies.

For more information about Group Policy, see Help.

For more information about applying Group Policy to MMC, see Use Group Policy to control MMC usage.


Using the runas command with MMC

It is good practice for administrators to use an account with restrictive permissions to perform routine, nonadministrative tasks, and to use an account with broader permissions only when performing specific administrative tasks. To accomplish this without logging off and back on, log on with a regular user account, and then use the runas command to run the tools that require the broader permissions.

With the runas command, you can run programs (*.exe), saved snap-in consoles (*.msc), shortcuts to programs and saved MMC consoles, and Control Panel items. You can run them as an administrator while you are logged on to your computer as a member of another group, such as the Users or Power Users group.

You can use the runas command to start any program, snap-in console, or Control Panel item. As long as you provide the appropriate user account and password information, the user account has the ability to log on to the computer and access the programs, snap-in consoles, or Control Panel items on the system.

With the runas command, you can administer a server in another forest (that is, the computer from which you run a tool and the server you administer are in different domains).

If you try to start a program, snap-in console, or Control Panel item from a network location using runas, it might fail because the credentials used to connect to the network file share are different from the credentials used to start the program. The latter credentials may not be able to gain access to the same network file share.

Some items, such as the Printers folder and desktop items, are opened indirectly and cannot be started with the runas command.

If the runas command fails, the Secondary Logon service might not be running or the user account you are using might not be valid. To check the status of the Secondary Logon service, in Computer Management, click Services and Applications, and then click Services. To test the user account, try logging on to the appropriate domain by using the account.

For details about the runas command, see Runas.


Using MMC 3.0

This section covers:

  • MMC 3.0 in author mode
  • Using the MMC 3.0 window
  • Creating and using snap-in consoles with multiple snap-ins
  • Using the Standalone tab in the Add/Remove Snap-in dialog box
  • Using property pages in snap-in consoles
  • MMC 3.0 command-line options
  • Using the MMC 3.0 Help system


Using the MMC 3.0 window

The way you use the MMC window depends largely on how the snap-in console has been constructed. In the simplest case, the snap-in console is constructed to lead you through a specific set of tasks. In this case, you just follow where the snap-in console leads you.

More commonly, you use the three MMC panes: the tree, the results pane, and the Action pane. Begin by opening containers in the tree until the object you want to work with is either highlighted in the tree or displayed in the results pane. Select object or objects in the tree or the results pane, and click an action in the Action pane to perform on those objects. Only the actions that can be performed on the currently selected objects appear in the Action pane; it is like the Action menu.

Note

  • A container is any item to which objects are added. Double-click Image of plus to expand a container and view its contents.

If there are objects that you want to be able to reach quickly without navigating the tree, you can add them to the Favorites menu in that snap-in console. For instructions on how to do so, see Creating and using Favorites.

For information about keyboard shortcuts for navigating the tree, see Navigation in MMC using the keyboard and mouse.

Working with preconfigured snap-in consoles

You might need to use preconfigured snap-in consoles (commonly called saved consoles) that are part of your operating system or an application and never need to build custom snap-in consoles of your own. Typically, preconfigured snap-in consoles are available in the Administrative Tools folder in Control Panel or from the Start menu. If you save a custom snap-in console to a per-user Administrative Tools folder (located at \\%systemdrive%\Documents and Settings\user\Start Menu\Programs\Administrative Tools), it is then available in the Administrative Tools folder on the Programs menu for that user.

It is likely that any preconfigured consoles that came as part of your operating system are configured to open in one of the three user modes. The default mode is User mode - limited access, single window. For more information about default console mode settings, see Snap-in console access modes.

Customizing the view for saved snap-in consoles

You can use the Customize View dialog box, which is accessible from the Customize command on the View menu, to hide or display elements for a console. One of the elements that you can hide is the View menu itself. If you do this, but then want to reconfigure the view, you can also open the Customize View dialog box from the Customize View command on the System menu. For more information, see Customize a console.

Working with columns in saved consoles

In saved consoles that display columns in the results pane, you can customize how the columns and rows appear. For example, you can reorder or hide columns. You can also reorder rows alphabetically or chronologically by clicking the column heading. In addition, with certain snap-ins, you can filter columns based on additional attributes. If this feature is enabled, a row of drop-down list boxes that contain options for filtering is displayed beneath the column headings. For more information, see To sort, hide, or display columns in the results pane.

You can also export the contents of columns to a text file. For more information, see To export data to a text file.

If you customize the columns in a snap-in console, your settings are saved from session to session.

For more information about the results pane, see The MMC 3.0 window.


Creating and using snap-in consoles with multiple snap-ins

A snap-in console can contain one snap-in or several. If you create a snap-in console with multiple snap-ins, there are some things you can do to make the snap-ins easier to find in the snap-in console.

  • Consider the order in which you want the snap-ins to appear in the tree, and add them to the snap-in console in the same order. For more information, see To add, remove, and organize snap-ins and extensions.
  • Consider organizing the snap-ins into different folders under the console root. For more information, see The MMC 3.0 window.
  • Consider creating a structure in the Favorites folder to help users of the snap-in console find important views easily. For more information, see The MMC 3.0 Favorites list.

The highlight in the tree indicates which snap-in and which object in the snap-in you are currently viewing. However, if you are a using snap-in console that has two or more snap-ins with trees that are long or similar, you might need to scroll up or down the tree to be sure which snap-in you are using. In this case, you might want to create a window for each of these snap-ins, or for one or more nodes of the tree. To do so, right-click the node on which you want to base a window, and then click New Window from Here. Use the Window menu to navigate between windows. To create the new window, you must be using the snap-in console in a mode that allows you to do so. For more information about console modes, see Snap-in console access modes.


Using the Standalone tab in the Add/Remove Snap-in dialog box

Use the Standalone tab of the Add/Remove Snap-in dialog box to add snap-ins to the current console, to get version information about snap-ins, and to remove snap-ins from the console.

  • To add snap-ins under a specific root, select the root in the Snap-ins added to list before adding the snap-in.
  • To add a snap-in to the selected root, click Add. This opens the Add Standalone Snap-in dialog box. Click a snap-in in the Available Standalone Snap-ins list, and then click Add.
  • To view additional information about an installed snap-in, including version information, first click the root where the snap-in resides in the Snap-ins added to list. Then click the snap-in, and click About. If there is no additional information for the selected item, the About button appears dimmed.
  • To remove a snap-in, first click the root where the snap-in resides in the Snap-ins added to list. Then select the snap-in, and click Remove. If you remove a snap-in that has extensions, those dependent extensions will also be removed.

Note

  • To open the Add/Remove Snap-in dialog box from a snap-in console, click the File menu, and then click Add/Remove Snap-in.

Related Topics


Using property pages in snap-in consoles

You perform much of the work using snap-in consoles from property pages. In fact, certain snap-ins or extensions can be accessed in a snap-in console only from a property page. In some cases, you can determine which snap-in provided a particular tab in a properties dialog box, by pressing and holding down the CTRL key while pointing to the label of the tab. Also, if you hold down the CTRL key while pointing to the title bar of a particular properties dialog box, you can determine the path in the tree to the item associated with the property page. For more information, see To view the associated snap-in and item for a property page.

The properties dialog boxes for snap-in consoles often become hidden behind snap-in consoles and other tools. If you cannot find a property page that you were working on, reopen the properties dialog box or minimize the other tools on your screen.


MMC 3.0 command-line options

Using MMC command-line options, you can open a specific snap-in console, open MMC in author mode, or specify that the 32-bit or 64-bit version of MMC is opened.

Syntax

mmc path\filename.msc [/a] [/64] [/32]

Parameters

path\filename.msc
Starts MMC and opens a saved snap-in console. You need to specify the complete path and file name for the saved console file. If you do not specify an console file, MMC opens a new snap-in console.
/a
Opens a saved snap-in console in author mode. Use to make changes to saved consoles.
/64
Opens the 64-bit version of MMC (MMC64). Use this option only if you are running a Microsoft 64-bit operating system and want to use a 64-bit snap-in.
/32
Opens the 32-bit version of MMC (MMC32). When running a Microsoft 64-bit operating system, you can run 32-bit snap-ins by opening MMC with this command-line option when you have 32-bit only snap-ins.

Remarks

  • Using the path\filename.msc command-line option

    You can use environment variables to create command lines or shortcuts that do not depend on the explicit location of console files. For instance, if the path to an console file is in the system folder (for example, mmc c:\winnt\system32\console_name), you can use the expandable data string %systemroot% to specify the location (mmc %systemroot%\system32\console_name.msc). This may be useful if you are delegating tasks to people in your organization who are working on different computers.

  • Using the /a command-line option

    When snap-in consoles are opened with this option, they are opened in author mode, regardless of their default mode. This does not permanently change the default mode setting for files; when you omit this option, MMC opens snap-in consoles according to their default mode settings.

  • After you open MMC or a console file in author mode, you can open any existing console by clicking Open on the Console menu.
  • You can use the command line to create shortcuts for opening MMC and saved snap-in consoles. A command-line command works with the Run command on the Start menu, in any command-prompt window, in shortcuts, or in any batch file or program that calls the command.

Formatting Legend

Format | Meaning
Italic | Information that the user must supply
Bold | Elements that the user must type exactly as shown
Ellipsis (...) | Parameter that can be repeated several times in a command line
Between brackets ([]) | Optional items
Between braces ({}); choices separated by pipe ( | ). Example: {even|odd} | Set of choices from which the user must choose only one
Courier font | Program output

Related Topics


MMC 3.0 compatibility

This section provides general background information about compatibility between different versions of MMC and MMC snap-ins:

  • Running 32-bit and 64-bit snap-ins with Windows Server 2003 operating systems
  • Using files created with earlier versions of MMC with MMC 3.0


Running 32-bit and 64-bit snap-ins in the Windows Server 2003 family of operating systems

Microsoft Windows Graphic

Running 32-bit and 64-bit snap-ins with Windows Server 2003 operating systems

Microsoft 64-bit operating systems can run both 32-bit MMC (MMC32) and 64-bit MMC (MMC64). MMC64 cannot run 32-bit snap-ins, and MMC32 cannot run 64-bit snap-ins. Some snap-ins are available in both 32-bit and 64-bit form. A snap-in is considered available in 64-bit form if it exists as an HKEY_CLASSES_ROOT\CLSID\snap-in clsid\InprocServer32 key in the registry, where snap-in clsid is the registered CLSID for the snap-in.

This topic describes how to determine and control which version of MMC is executed in a Microsoft 64-bit operating system.

Start-up considerations if /32 or /64 is used

MMC can be executed with command-line parameters, including a console file name and, on a 64-bit Windows operating system, the following command-line switches:

  • /32
    Specifies MMC32.
  • /64
    Specifies MMC64. This is the default on a 64-bit Windows operating system.

If both of these command-line options are used, the last one on the command line takes effect. MMC64 will yield transparently to MMC32 if certain conditions are met, as described in the following section.

Start-up considerations if a console file is specified

If the MMC command line does not contain a /32 or /64 command-line option, but the command line does contain a console file name, then MMC64 examines the console file before determining which version to run. The decision sequence is as follows:

  1. If all snap-ins in the console are available in 64-bit form, then MMC64 is used.
  2. If all snap-ins in the console are available in 32-bit form and some are not available in 64-bit form, then MMC32 is used. (MMC64 starts MMC32, and then MMC64 terminates.)
  3. If some of the snap-ins are available only in 64-bit form and others are available only in 32-bit form, the version of MMC that can run the majority of the snap-ins is used. The remaining snap-ins are not loaded.

    For example, if a console contains three snap-ins that are only available in 32-bit form and two snap-ins that are available only in 64-bit form, MMC32 would be used and only the three 32-bit snap-ins will appear when the console is opened. The two snap-ins that are available only in 64-bit form would not be loaded.

  4. If some of the snap-ins are available only in 64-bit form and an equal number of snap-ins are available only in 32-bit form, you will be prompted to specify which version of MMC to run. If you choose MMC64, only the 64-bit snap-ins are loaded. If you choose MMC32, only the 32-bit snap-ins are loaded.

When to specify the path to the console file

In Windows XP Professional and Windows Server 2003 operating systems, the system files are stored in the %windir%\system32 folder. In the 64-bit versions of these operating systems, the \system32 folder contains 64-bit files, including 64-bit consoles such as eventvwr.msc. If there is also a 32-bit version of the snap-in, it resides in the %windir%\syswow64 folder. In this example, the 32-bit version of Event Viewer would be %windir%\syswow64\eventvwr.msc. If there is both a 64-bit version of the console in the \system32 folder and a 32-bit version in the \syswow64 folder and you want to explicitly run the 32-bit version, you must bypass the MMC decision-making process by specifying both the path and the /32 command-line parameter. For example:

MMC /32 %windir%\syswow64\eventvwr.msc

Note

  • Double-clicking a shortcut to a file in the \syswow64 folder is like double-clicking the file in Windows Explorer because it will run MMC without the /32 command-line parameter. To open the 32-bit consoles in the \syswow64 folder, click Start, click Run, and then type the command specifying both the path and the /32 command-line parameter, instead of using a shortcut.


Using files created using earlier versions of MMC with MMC 3.0

Microsoft Windows Graphic

Using files created with earlier versions of MMC with MMC 3.0

MMC 3.0 is designed to support snap-ins designed for MMC 1.2 and MMC 2.0. You can add these snap-ins to an MMC 3.0 snap-in console and they will function as they do in the versions of MMC for which they were designed.

You can use MMC 3.0 to open a snap-in console that was created using MMC 2.0 or MMC 1.2. If you then save the snap-in console, you will be asked whether to save it in MMC 3.0 format. If you save it in MMC 3.0 format, you will not be able to open it by using earlier versions of MMC. You cannot use MMC 2.0 to open a snap-in console that was created using MMC 3.0.


Accessibility for MMC

In addition to Microsoft Windows accessibility products and services, MMC provides keyboard shortcuts for selecting commands, and for navigating in and between MMC windows. Snap-ins and other items that are added to a snap-in console may also provide accessibility features. For more information, refer to the Help or other documentation for that item.

In this section:

  • Navigation in MMC using the keyboard and mouse
  • MMC keyboard shortcuts


Navigation in MMC using the keyboard and mouse

You can browse the tree by expanding and collapsing branches. To do this, click the plus sign Image of plus and minus sign Image of minus icons, or double-click the branch with the mouse. The following table lists the keystrokes you can use to move in and between windows in the current console.

Keystroke action | Result
TAB or F6 | Moves forward between panes in the active window.
SHIFT+TAB or SHIFT+F6 | Moves backward between panes in the active window.
CTRL+TAB or CTRL+F6 | Moves forward between windows.
CTRL+SHIFT+TAB or CTRL+SHIFT+F6 | Moves backward between windows.
PLUS SIGN (+) on the numeric keypad | Expands the selected item.
MINUS SIGN (-) on the numeric keypad | Collapses the selected item.
Asterisk (*) on the numeric keypad | Expands the entire tree below the root item in the active window.
UP ARROW | Moves the selection up one item in a pane.
DOWN ARROW | Moves the selection down one item in a pane.
PAGE UP | Moves the selection to the top item visible in a pane.
PAGE DOWN | Moves the selection to the bottom item visible in a pane.
HOME | Moves the selection to the first item in a pane.
END | Moves the selection to the last item in a pane.
RIGHT ARROW | Expands the selected item. If the selected item does not contain hidden items, behaves like DOWN ARROW.
LEFT ARROW | Collapses the selected item. If the selected item does not contain exposed items, behaves like UP ARROW.
ALT+RIGHT ARROW | Moves the selection to the next item. Performs the same function as the Forward arrow on the toolbar.
ALT+LEFT ARROW | Moves the selection to the previous item. Performs the same function as the Back arrow on the toolbar.

The following table lists the mouse actions you can use to move through an MMC tree.

Mouse action | Result
Click | Selects an item.
Double-click | Displays or hides items contained by the selected item. Displays properties for or opens an item.
Right-click | Displays the Action shortcut menu for the selected item.

Note

  • If the mouse buttons do not behave as expected, the right and left buttons might be switched. The computer you are using might be configured so that the default actions result from the left and right mouse buttons are reversed.


MMC keyboard shortcuts

This topic describes two types of keyboard shortcuts: shortcuts for the main window and shortcuts for the active window.

MMC main window keyboard shortcuts

The following table lists keyboard shortcuts for the menu commands that act on the entire snap-in console or the main window of a snap-in console.

Action | Result
CTRL+O | Opens a saved snap-in console.
CTRL+N | Opens a new snap-in console.
CTRL+S | Saves the open snap-in console.
CTRL+M | Opens the Add/Remove Snap-in dialog box.
CTRL+W | Opens a new window.
F5 | Refreshes the content of all snap-in console windows.
ALT+SPACEBAR | Displays the MMC window menu.
ALT+F4 | Closes the snap-in console.
ALT+A | Displays the Action menu.
ALT+V | Displays the View menu.
ALT+F | Displays the File menu.
ALT+O | Displays the Favorites menu.
ALT+W | Displays the Window menu.
ALT+H | Displays the Help menu.

Note

  • The CTRL+W keyboard shortcut is available for consoles opened in author mode or user mode—full access. Other CTRL+ shortcuts are only available for consoles opened in author mode.

MMC active window keyboard shortcuts

The following table lists keyboard shortcuts for the menu commands that act on the active window in a snap-in console or its contents.

Action | Result
CTRL+P | Prints the current page or active pane, if the snap-in implements the printing function.
ALT+MINUS SIGN | Displays the window menu for the active snap-in console window.
SHIFT+F10 | Displays the Action shortcut menu for the selected item.
F1 | Opens the Help topic, if any, for the selected item.
F5 | Refreshes the content of all snap-in console windows.
CTRL+F10 | Maximizes the active snap-in console window.
CTRL+F5 | Restores the active snap-in console window.
ALT+ENTER | Displays the properties dialog box, if any, for the selected item.
F2 | Renames the selected item.
CTRL+F4 | Closes the active snap-in console window. When a snap-in console has only one window, this closes the snap-in console.


Troubleshooting MMC 3.0

What problem are you having?

I cannot find Help for a snap-in.

Cause: The snap-in might not provide a Help file that appears in the MMC Help table of contents. Instead, the snap-in might use a different method to provide Help.

Solution: Open a snap-in console that contains the snap-in in author mode, click the item in the tree for which you want Help, and then click the Help menu. A separate command for the snap-in Help may be displayed on the Help menu above the Help Topics command.

If you do not see a separate command, view the contents of the toolbars and results pane for a Help button or additional Help button icon. If you do not see a separate command, button, or icon, then no Help is provided for this snap-in. If the vendor who manufactured the snap-in is not Microsoft, you may need to contact the vendor directly with your questions. You can identify a snap-in vendor by highlighting the snap-in in the MMC tree, and then clicking About on the Help menu.

A snap-in is not listed in the Add Standalone Snap-in dialog box.

Cause: The corresponding service or software might not be installed on your computer.

Solution: You must install the component to view its snap-in.

When using a snap-in console, one or more of the following occurs: the console is not behaving as expected or it is timing out, or error messages are displayed that you have not seen before.

Cause: One of the following might be the cause. The snap-in console file may have become damaged. Or, because of changes to your network, the configuration of the snap-in console may have become outdated.

Solution: Determine which snap-in is causing the problem in the snap-in console, and then refer to the troubleshooting information in the documentation for that snap-in to find out how to repair or reconfigure the snap-in. To determine which snap-in is causing the problem, right-click the item in the tree or the details pane, and then click Properties. Press and hold down the CTRL key, and point to the labels of the tabs in the dialog box.

If you cannot directly repair or reconfigure the console, try adding another instance of the snap-in you are using to the console, configure it as needed, and then remove the old version of the snap-in.

See also: To add, remove, and organize snap-ins and extensions; Snap-ins; To view the associated snap-in and item for a property page


Resources

For more information about MMC 3.0, see the following resources:

  • The Microsoft Help and Support page at the Microsoft Web site (http://www.microsoft.com/) contains general support information and articles written by support professionals at Microsoft.
  • For further information, see Windows Server 2003 Technical Reference at the Microsoft Web site. (http://www.microsoft.com/)


The tool that you requested is not available

To access the tool, try the following:

Configure your computer.

To have access to certain administrative tools, you must be using one of the following:

  • A computer running a Windows Server 2003 operating system that is configured to be a domain controller.
  • A client computer running Windows XP Professional that has been added to a domain and has the Windows Server 2003 Administration Tools Pack installed.
  • A server running Windows Server 2003 that has been added to a domain.

For more information about configuring a domain controller and installing Windows Server 2003 Administration Tools Pack, see Help.

Install the necessary hardware.

Some programs are installed automatically when you install the hardware associated with them. For example, when you install a fax device, Windows Server 2003 installs Fax. To install new hardware, click Start, point to Settings, click Control Panel, and then double-click Add Hardware.

Install the tool.

The tool might not be installed on your computer because:

  • It is an optional component. To install optional components, click Start, point to Settings, click Control Panel, and then double-click Add or Remove Programs.
  • If your computer is on a network, your system administrator may have removed this program or set a policy that prevents you from starting it.
  • You have installed Administration Tools Pack, but this tool is one of the optional components that you have not yet added.

Access an Active Directory snap-in.

You can use Remote Desktop on Windows XP Professional to access a computer running a Windows Server 2003 operating system that has the snap-in available. For more information about using Remote Desktop and Terminal Services, see:

  • To create a new connection
  • Windows Server 2003 operating systems home page (http://www.microsoft.com/)

Ask your system administrator if the tool has been changed or removed.

If your computer is on a network, your system administrator may have removed the tool.


Compile Date

 Compile Date: Wednesday - 2005-11-09


Create a taskpad view

Microsoft Windows Graphic

To create a taskpad view in a saved MMC console

  1. Open a saved snap-in console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. In the tree, click a snap-in item.
  3. In the Action pane, click New Taskpad View.
  4. Follow the instructions in the New Taskpad View Wizard.
  5. If you want to create tasks immediately after you create the taskpad view, select the Start New Task Wizard check box in the final screen of the wizard.

Notes

  • You can also create a taskpad view in a new console, but you must first add a snap-in to the console.
  • In MMC 3.0, the Action pane replaces taskpad views. The New Taskpad View Wizard is not available for snap-ins created for MMC 3.0, but continues to be supported for older snap-ins.

Related Topics


Create tasks for a taskpad view

Microsoft Windows Graphic

To create tasks for a taskpad view

  1. Open a saved snap-in console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. In the tree, click an item associated with the taskpad view, and, in the Action pane, click Edit Taskpad View.
  3. On the Tasks tab, click New.
  4. Follow the instructions in the New Task Wizard.

Notes

  • If you are creating a new taskpad view and want to add a task, you can start the New Task Wizard by selecting the Start New Task wizard check box in the final screen of the New Taskpad View Wizard.
  • On the Shortcut Menu Command page of the New Task Wizard, in Command source, if you clicked Tree item task and cannot view all items in the tree, you must expand the tree manually before starting the New Task Wizard.
  • In MMC 3.0, the Action pane replaces taskpad views. The New Taskpad View Wizard is not available for snap-ins created for MMC 3.0, but continues to be supported for older snap-ins.

Related Topics


Add Columns dialog box

Microsoft Windows Graphic

Add/Remove Columns dialog box

Use the Add/Remove Columns dialog box to hide, display, and organize columns in the currently displayed results pane of a console.

  • To display a column that is currently hidden, click the column name in the Displayed columns list, and then click Add.
  • To hide a column that is currently displayed, click the column name in the Available columns list, and then click Remove.

    Some columns are defined to never be hidden. When one of these columns is selected, Remove is not available.

  • To change the order of columns, click a column name in the Available columns list, and then click Move up or Move down.

    You can also change the order of the columns directly in the results pane by dragging a column heading to a new location.

  • To restore the default column settings for the current results pane, click Restore Defaults. This option is not available if the default column settings are already in effect.

Note

  • To open the Add/Remove Columns dialog box from a console, click the View menu, and then click Add/Remove Columns.

Related Topics


Add to Favorites dialog box

Use the Add to Favorites dialog box to add the current page to your Favorites list.

  • To add the items to the root of the Favorites list using the name displayed in the Name box, click OK.
  • To change the name for this page that is displayed in your Favorites list, type the new name in the Name box.
  • To place the item in an existing folder in your Favorites list, click that folder.
  • To create a new folder in which to place this item, click New Folder, and type the name of the new folder in the Folder name box.

Note

  • To open the Add to Favorites dialog box from a console, click the Favorites menu, and then click Add to Favorites.

Related Topics


Select Favorites Folder dialog box

Use the Select Favorites Folder dialog box to move items in your Favorites list from one folder to another.

Explicitly created folders are contained within the Favorites folder. To navigate to the folder to which you want to move the item, double-click the folders that contain it. When the folder you want is highlighted, click OK.

Note

  • To open the Select Favorites Folder dialog box, on the Favorites menu, click Organize Favorites, click an item in the Favorites list, and then click Move to Folder.

Related Topics


Organize Favorites dialog box

Use the Organize Favorites dialog box to organize the Favorites list for your console. Your Favorites list can include page views and taskpads that you want to navigate to quickly.

  • To view the items in a folder, double-click the folder in the tree view on the right-hand side of the dialog box.
  • To view a description of a page in your Favorites list, click that item. The name and any available description appear in the area under the four buttons.
  • To create a new folder for items in your Favorites list, click Create Folder, and then type the folder name in the Folder name box. The folder is created in the Favorites folder. To view the new folder, double-click the Favorites folder.
  • To rename an item or a folder, click it, click Rename, and then type the new name.
  • To move an item to a different folder, click it, and then click Move to Folder. This opens the Select Favorites Folder dialog box. All other folders for favorites are contained within the Favorites folder. To navigate to the folder to which you want to move the item, double-click the folders that contain it. When the folder you want is highlighted, click OK.
  • To delete an item or a folder, click it, and then click Delete.

Caution

  • If you delete a folder, any items in that folder are also deleted. Open the folder and verify that you want to remove all the items in it before you delete the folder.

Note

  • To open the Organize Favorites dialog box from a console, click the Favorites menu, and then click Organize Favorites.

Related Topics


Add Standalone Snap-ins dialog box

Use the Add Standalone Snap-ins dialog box to add available snap-ins to the current console.

To add a snap-in, click it in the Available Standalone Snap-ins list, and then click Add. The snap-in is added and the dialog box remains open until you click Close, so that you can add additional snap-ins.

Notes

  • To open the Add Standalone Snap-ins dialog box from a console, click the File menu, and then click Add/Remove Snap-in. Then click Add.
  • If the snap-in you want to add is not listed in the Available Standalone Snap-ins list, you might need to install the program managed by the snap-in.

Related Topics


Add/Remove Snap-in dialog box -- Extensions tab

Microsoft Windows Graphic

Add/Remove Snap-in dialog box, Extensions tab

Use the Extensions tab of the Add/Remove Snap-in dialog box to add extensions to snap-ins and extensions that are installed in the current console, to get version information about extensions to currently installed snap-ins and extensions, and to remove extensions from the console.

  • To add extensions, in the Snap-ins that can be extended list, first click the snap-in or extension for which you want to add extensions. Only snap-ins and extensions that have been added to this console are listed. Then click one or more extensions in the Available extensions list, or select the Add all extensions check box to add all available extensions to the item in the Snap-ins that can be extended list.
  • To view additional information about an extension, including version information, first click the snap-in or extension in the Snap-ins that can be extended list. Then click the extension, and click About. If there is no additional information for the selected item, the About button appears dimmed.
  • To remove extensions, the Snap-ins that can be extended list, first click the snap-in or extension for which you want to remove extensions. Then clear the check boxes for the extensions you want to remove. If you remove an extension that has extensions, those dependent extensions will also be removed.

Note

  • To open the Add/Remove Snap-in dialog box from a console, click the File menu, and then click Add/Remove Snap-in.

Related Topics


Customize View dialog box

Use the Customize View dialog box to view or modify which elements of the console are displayed and which are hidden.

MMC elements

Console tree
Specifies whether to display the tree. The tree appears in the left pane of the console. It is used to navigate the console and to view the hierarchical structure of the console.
Standard menus (Action and View)
Specifies whether to display the Action and View menus.
Standard toolbar
Specifies whether to display the standard MMC toolbar.

The standard toolbar provides buttons to navigate backward, forward, and up; to show or hide the tree; and to open Help for MMC and any added snap-ins.

Status bar
Specifies whether to display the status bar at the bottom of the console window.
Description bar
Specifies whether to display the description bar above the results pane.

The description bar provides information about the selected item in the tree.

Taskpad navigation tabs
Specifies whether to display tabs for navigating in a taskpad.
Action pane
Specifies whether to display the Action pane. The Action pane appears as the right pane of the console. It displays all the currently available actions, based on the items selected in the tree and in the results pane.

Snap-in elements

Menus
Specifies whether to display snap-in menus on the menu bar for any snap-ins that have menus.
Toolbars
Specifies whether to display snap-in toolbars for any snap-ins that have toolbars.

Note

  • To open the Customize Views dialog box from a console, click View in the Action pane, and then click Customize; or click the View menu, and then click Customize.

Related Topics


Export List dialog box

Use the Export List dialog box to export data from a snap-in console to a file.

  • Specify the folder and file name as you would in a standard Windows Save dialog box.
  • Select the type of file. The data can be saved tab-separated or comma-separated, and can be either text or Unicode text.
  • If you only want to export the rows that were selected when you opened the Export List dialog box, select the Save only selected rows check box.

Note

  • To open the Export List dialog box from a snap-in console, click Export List in the Action pane.

Related Topics


Options dialog box -- Console tab

Microsoft Windows Graphic

Options dialog box, Console tab

Use the Console tab of the Options dialog box to set the name, icon, and mode for the current snap-in console.

  • To give the console a title, type the title in the text box at the top of the dialog box. The title appears in the title bar of the console.
  • To change the icon for the console, click Change icon, and either specify the file name of the icon or browse to the icon. You can select any icon you can find while browsing. For example, you can browse to an executable file that has an icon associated with it to select that icon.

    • or

  • To set the mode for the console, select the mode from the Console mode list. To learn more about a mode, click it, and read the description below the list.

If you have selected one of the user modes, you can specify whether the user can change views within the console, and you can specify whether any changes to console will be saved after the user closes the console.

  • To prohibit users from saving changes to the console, select the Do not save changes to this console check box. This check box is not available if you have selected Author mode.
  • To allow users to change views of this console, select the Allow the user to customize views check box.

Note

  • To open the Options dialog box from a console, click the File menu, and then click Options.

Related Topics


Options dialog box -- Disk cleanup tab

Microsoft Windows Graphic

Options dialog box, Disk cleanup tab

Use the Console tab of the Options dialog box to remove the files that record changes you have made to consoles in user mode.

When you modify how consoles are displayed (for example, by changing the size of a window or adding a new window), MMC saves these settings in a file that preserves your personal settings. The personal settings file records all changes that are made to a console in user mode. Changes that are made in author mode are saved to the console file instead.

To delete your personal settings file, click Delete. Only the settings that are associated with your profile are deleted. MMC will then display consoles by using the default display settings.

This option is useful if you want to restore the default display settings or if disk space is low.

Note

  • To open the Options dialog box from a console, click the File menu, and then click Options.

Related Topics


Select Extensions dialog box for MMC 3.0

Use the Select Extensions dialog box to add extensions to and remove them from snap-ins and other extensions.

  • Enable or disable selected extensions for a snap-in as follows:
    1. Click the snap-in in the Selected snap-ins list, and then click Edit extensions. The Extensions for snap-in name dialog box appears. By default, all available extensions are enabled.
    2. To select specific extensions, click Enable only the selected extensions, and then select the extensions you want to enable.

    Notes

    • If you choose to enable only the selected extensions, and other extensions are installed later, the new extensions will not be available until you explicitly enable them or until you choose Always enable all available extensions for that snap-in.
    • If a snap-in has no available extensions, there will be none listed in the list under Enable only the selected extensions. However, you can still choose Enable only the selected extensions to prevent extensions that might be installed later from being made available automatically.
    • If an enabled extension has extensions, you can enable or disable them in the same way that you enable extensions for snap-ins. Click the extension, and then click Edit Extensions in the Extensions for snap-in name dialog box. This opens the Extensions for extension name dialog box, which is similar to the Extensions for snap-in name dialog box.

    Related Topics


Taskpad Properties -- General tab

Microsoft Windows Graphic

Taskpad Properties, General tab

Use the General tab of the Taskpad Properties dialog box to view and modify the name, description, and display characteristics of the taskpad.

  • To change the name of the taskpad, type the new name in the Name box. The taskpad title appears at the top of the results pane.
  • To add or change the description of the taskpad, type the new information in the Description box. The description appears beneath the taskpad name at the top of the results pane.
  • To change the way information is displayed in the results pane, click one of the Style for details pane buttons. The view you have selected is displayed in a thumbnail view on the property page, with a brief description of the advantages under the thumbnail view.
  • To change the way that task descriptions are displayed, click one of the Style for task descriptions buttons. Click Text to display the task description under each task. This option is recommended to assist users that are less familiar with the tasks on the taskpad. Click InfoTip to hide the text until the user moves the pointer over a task. This option takes less space on the taskpad.
  • If the taskpad makes the Standard tab redundant, select the Hide Standard tab check box.
  • To allow more space for details, click a larger list size in the List size list. To allow more space for the tasks, click a smaller list size in the List size list. The List size list is not available if the No list button is selected.
  • To specify whether this taskpad view applies to all tree items of this type or only to the selected tree item, click Options. This opens the Taskpad Options dialog box. If you specify that this taskpad view applies to all tree items of this type, you can also make it the default view for tree items of this type.

Note

  • To open Taskpad Properties from a console, open the taskpad, and then click Edit Taskpad View in the Action pane or on the Action menu.

Related Topics


Taskpad Properties -- Tasks tab

Microsoft Windows Graphic

Taskpad Properties, Tasks tab

Use the Tasks tab of the Taskpad Properties dialog box to view, modify, organize, and remove tasks in the taskpad. Tasks are listed in the order they appear in the taskpad.

  • To add a task, click New, and follow the directions in the New Task Wizard.
  • To change the name, description, and icon of a task, click it in the Display these tasks list, and then click Modify. This opens the Modify Task dialog box.
  • To change the order in which tasks are listed in the taskpad, click it in the Display these tasks list, and then click Move up or Move down.
  • To remove a task, click it, and then click Remove.

Note

  • To open Taskpad Properties from a console, open the taskpad, and then click Edit Taskpad View in the Action pane or on the Action menu.

Related Topics


Edit a taskpad view

Microsoft Windows Graphic

To edit a taskpad view

  1. Open a saved snap-in console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc/a, and then click OK.
  2. In the tree, click an item associated with the taskpad view.
  3. On the Action menu, click Edit Taskpad View.
  4. On the General tab, do the following:
    • To change the name for the taskpad view, in Name, type a new name. The name appears in the upper-left corner of the taskpad view and on the tab on the bottom edge of the taskpad view.
    • To change the description for a taskpad view, in Description, type a new description. The description appears under the name in the taskpad view.
    • To change the list format, or to configure the taskpad view to contain tasks only, under Style for the details pane, click a new list format, or click No list.
    • To remove the Standard tab from view, select the Hide Standard tab check box.
    • To configure task descriptions, under Style for task descriptions, click Text or InfoTip. Text descriptions are displayed to the right of a task. InfoTip descriptions are displayed as pop-up windows when a user points to tasks with the mouse.
    • To change the size of the list, in List size, click a new size for the width (Vertical list) or height (Horizontal list) of the list.
  5. Click Options, and then do one of the following:
    • To associate the taskpad view that shows only the currently selected item in the tree, click Selected tree item.
    • To associate the taskpad view that shows all items in the tree of the same type as the currently selected item, click All tree items that are the same type as the selected tree item.

      Notes

      • If you click the All tree items that are the same type as the selected tree item option and want the taskpad view to appear by default, select the Change default display to this taskpad view for these tree items check box, instead of the view on the Standard tab.
      • In MMC 3.0, the Action pane replaces taskpad views. The New Taskpad View Wizard is not available for snap-ins created for MMC 3.0, but continues to be supported for older snap-ins.

Related Topics


Edit tasks in a taskpad view

Microsoft Windows Graphic

To edit tasks in a taskpad view

  1. Open a saved snap-in console in author mode by doing one of the following:
    • Right-click the .msc file, and then click Author.
    • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. In the tree, click an item associated with the taskpad view, and in the Action pane, click Edit Taskpad View.
  3. On the Tasks tab, under Display these tasks, click a task, and then do any of the following:
    • To move the selected task up the display list in the taskpad view, click Move Up.
    • To move the selected task down the display list in the taskpad view, click Move Down.
    • To delete the task from the display list in the taskpad view, click Remove.
    • Click Modify, and then do the following:
      • To change the name of a task, on the General tab, in Task name, type a new name.
      • To change the description for a task, on the General tab, in Description, type a new description. Depending on how you configured the taskpad view, the result appears either to the right of the task or on the screen when a user points to the task with the mouse.
      • To change the icon for the task, on the Task Icon tab, click a new icon, and then click OK.

Related Topics


Handling snap-in errors

To improve reliability, MMC 3.0 notifies you of errors in snap-ins that could cause MMC to fail. When an error is detected, a dialog box appears that identifies the snap-in causing the problem (if that information is available) and gives you options for responding to the error.

If the snap-in causing the error can be identified, MMC provides the following options, from which you must choose one:

  • Close MMC and send an error report to Microsoft.
    This is the recommended option. The detected error might cause the MMC session to fail later if you do not close the session now. Development teams at Microsoft deeply appreciate the information you send by using this error reporting system because it helps us provide you with more reliable software.
  • Continue working, and ignore errors from this snap-in for the remainder of this session.
    You might choose this option if you want to stay in the session for long enough to remove the offending snap-in and save the snap-in console. In that case, you might want to create a snap-in console that contains only this snap-in, so that if it does cause the session to fail, no other snap-ins are affected. You can also choose this option if you want to close MMC but do not want to send an error report to Microsoft.

    This option is only available if MMC can identify the snap-in causing the problem.

  • Continue working, and ignore errors from this snap-in during this and all future sessions.
    Choose this option only if you are confident that the errors caused by the snap-in will not affect the functionality of the snap-in or the snap-in console.

    This option is only available if MMC can identify the snap-in causing the problem.

If the snap-in causing the error cannot be identified, MMC provides the following options, from which you must choose one:

  • Close MMC and send an error report to Microsoft.
    This is the recommended option. The detected error may cause the MMC session to fail later if you do not close the session now.
  • Ignore this error and continue working.
    Choose this option if you want to close MMC but do not want to send an error report to Microsoft, or if you want to use the snap-in and are not worried about losing your session.


Taskpad views and tasks

In MMC 3.0, the Action pane replaces taskpad views. The New Taskpad View Wizard is not available for snap-ins created for MMC 3.0, but continues to be supported for older snap-ins. The following information applies to these older snap-ins.

Taskpad views are pages to which you can add views of the results pane of a snap-in console, as well as shortcuts to functions both inside and outside a given snap-in console. You can use these shortcuts to run tasks such as starting wizards, opening property pages, performing menu commands, running command-line commands, and opening Web pages. You can configure a taskpad view so that it contains all the tasks a given user might need. In addition, you can create multiple taskpad views in a snap-in console, so that you can group tasks by function or user.

A taskpad view may make it easier for new users to perform their jobs. For example, you can add applicable tasks to a taskpad view and then hide the tree, so that users can begin using tools before they are familiar with the location of particular items in the tree or operating system.

You might also use taskpad views to make complex tasks easier. For example, if you must frequently perform a task involving multiple snap-ins and other tools, you can present tasks to open or run the necessary dialog boxes, property pages, command lines, and scripts in a single location.

For more information about creating taskpad views and tasks, see Create a taskpad.


Using the disk cleanup tab

Microsoft Windows Graphic

To use the disk cleanup tab

  1. Open MMC.
  2. Click File on the menu bar.
  3. Click Options on the drop-down menu. The Options dialog box opens, displaying two tabs.
  4. Click the Disk Cleanup tab.
  5. To delete the console files, click Delete Files.
  6. Close the dialog box by clicking OK.
  7. To cancel, click Cancel at the bottom of the dialog box.

Notes

  • To open MMC, click Start, click Run, type mmc, and then click OK.
  • The text on the Disk Cleanup tab states that changes to the view of a console file are saved in your profile. The amount of disk space used on the computer for these console changes is indicated on the Disk Cleanup tab.


Working with MMC console files

Microsoft Management Console (MMC) hosts tools, including snap-ins, which you can use to administer both local and remote computers. Your Windows system may already include tools that were saved as console files (with an .msc extension). These tools are available in the Administrative Tools folder in both Control Panel and the Programs menu. In addition, you can use MMC to create custom administrative tools and distribute these tools to users. On both Windows XP Professional and the Windows Server 2003 family of operating systems, you can save these tools so they are available in the Administrative Tools folder on the Programs menu.

  • Administering local computers

    • To add an item to a new MMC console

    1. Click Start, click Run, type mmc, and then click OK.
    2. On the File menu, click Add/Remove Snap-in, and then click Add.
    3. Under Snap-in, double-click the item you want to add, and do one of the following:
      • Click Local computer: (the computer this console is running on), and then click Finish.
      • If a wizard appears, follow the instructions on your screen.
    4. To add another item to the console, repeat step 3.

    Notes

    • If a console is saved to the per-user Administrative Tools folder (located at systemdrive\Documents and Settings\All Users\Start Menu\Programs\Administrative Tools), it is then available in the Administrative Tools folder on the Programs menu.
    • If a snap-in does not appear in the list, you must first install the program, device, or service administered by the snap-in.
    • To make an item subordinate to an item in the tree other than the console root, click the appropriate item in Snap-ins added to before you click Add in step 2.

    To open a saved MMC console

    • Do one of the following:
      • Click Start, point to Settings, click Control Panel, double-click Administrative Tools, and then double-click the console.
      • Click Start, point to Programs, point to Administrative Tools and then click the console.
      • Click the console on the Programs menu.
      • Open the folder where your console is located, and then double-click the console.
  • Administering remote computers

    • To add an item to a new MMC console for a remote computer

    1. Click Start, click Run, type mmc, and then click OK.
    2. On the File menu, click Add/Remove Snap-in, and then click Add.
    3. Under Snap-in, double-click the item you want to add, and do the following:
      • Click Another computer, type the name of the computer you want this snap-in to manage, and then click Finish.
      • If a wizard appears, follow the instructions on the screen.
    4. To add another item to the console, repeat step 3.

    Notes

    • If a snap-in does not appear in the list, you must first install the program, device, or service administered by the snap-in on the remote computer.
    • If a dialog box or a wizard does not appear in step 3, you can only use the console item to administer your local computer.
    • If a console is saved to the per-user Administrative Tools folder (located at systemdrive\Documents and Settings\All Users\Start Menu\Programs\Administrative Tools), it is then available in the Administrative Tools folder on the Programs menu.
    • To make an item subordinate to an item in the tree other than the console root, click the appropriate item in Snap-ins added to before you click Add in step 2.

    To open a saved MMC console for a remote computer

    • Do one of the following:
      • Click Start, point to Programs, point to Administrative Tools, and then click the console.
      • Open the folder where your console is located, and then double-click the appropriate console.
  • General procedures

    • To open MMC

    • At the command prompt, type:

      • mmc

    To install a program managed by an MMC snap-in

    1. Click Start, point to Settings, click Control Panel, and then double-click Add or Remove Programs.
    2. Follow the instructions on the screen.


Adding taskpad views and tasks

Before you add taskpad views and tasks to a snap-in console, determine how many taskpad views you need. If you need multiple taskpad views, you also need to determine how the tasks are divided among those views. In addition, you should decide what kind of taskpad view you want to use: one that displays a list and tasks, or one that displays tasks only.

To create a taskpad view for a snap-in console, the console must contain at least one snap-in. Use the New Taskpad View Wizard to configure the titles, headings, and lists that appear in the taskpad view, and to define whether a taskpad view is associated with a single item or multiple items in the tree.

After you complete the New Taskpad View Wizard, use the New Task Wizard to add tasks to the taskpad view. Tasks can include menu commands for the items in the console, as well as commands that are run from a command prompt. Create commands to act on part of the tree or results pane, or to open another component on your computer. However, if you create a task from a menu command for an item in the tree, and then you remove that item, the task is disabled.

Note

  • In MMC 3.0, the Action pane replaces taskpad views. The New Taskpad View Wizard is not available for snap-ins created for MMC 3.0, but continues to be supported for older snap-ins.

For information about creating and editing taskpad views and tasks, see To create a taskpad view, To create tasks for a taskpad view, To edit a taskpad view, and To edit tasks in a taskpad view.


Creating and using Favorites

Use the Favorites list to create shortcuts to items in the tree and to taskpad views. Then access these items from the Favorites menu.

For more information about creating the Favorites list, see Create and organize Favorites in a snap-in console.


Support Online

Online support
and information
  • Download updates, new features, and drivers from Windows Update (http://windowsupdate.microsoft.com)
  • Microsoft Product Support Services (http://support.microsoft.com)
  • Microsoft Accessibility Web site (http://www.microsoft.com/enable)